import {Pipe, PipeTransform} from '@angular/core';

import abbreviationMap from '../../assets/data/abbreviation-map.json';

@Pipe({
  name: 'niceName',
})
export class NiceNamePipe implements PipeTransform {
  transform(value: any, ...args: any[]): any {
    return abbreviationMap[value] ?? value;
  }
}
